@echo on
setlocal 
cd %~dp0

REM INSTALL CAPICOM 
cscript scripts\install-capicom.vbs
if ERRORLEVEL 1 goto failcapi

REM INSTALL CERTIFICATES
cscript scripts\install-certificates.vbs
if ERRORLEVEL 1 goto failcert

REM INSTALL HOSTS
cscript scripts\install-hosts.vbs
if ERRORLEVEL 1 goto failhosts

goto fin

:failcapi
echo The CAPICOM library failed to load.
goto fin

:failcert
echo The certificate installation script has failed.
goto fin

:failhosts
echo The hosts installation script has failed.
goto fin
:fin